<?php

namespace EmailCraft\App\DTO;

defined( 'ABSPATH' ) || exit;

use EmailCraft\WpMVC\DTO\DTO;

class TemplateTypeDTO extends DTO {
    private int $id;

    private int $post_id;

    private string $integration;

    private string $template_type;

    private string $created_at;

    public function get_id(): int {
        return $this->id;
    }

    public function set_id( int $id ): self {
        $this->id = $id;
        return $this;
    }

    public function get_post_id(): int {
        return $this->post_id;
    }

    public function set_post_id( int $post_id ): self {
        $this->post_id = $post_id;
        return $this;
    }

    public function get_integration(): string {
        return $this->integration;
    }

    public function set_integration( string $integration ): self {
        $this->integration = $integration;
        return $this;
    }

    public function get_template_type(): string {
        return $this->template_type;
    }

    public function set_template_type( string $template_type ): self {
        $this->template_type = $template_type;
        return $this;
    }

    public function get_created_at(): string {
        return $this->created_at;
    }

    public function set_created_at( string $created_at ): self {
        $this->created_at = $created_at;
        return $this;
    }
} 